import { IvrTesterPlugin } from "../plugins/IvrTesterPlugin";
import { Emitter } from "../Emitter";
import { PluginEvents } from "../plugins/PluginManager";
import { TestRunner, TestSession } from "../testRunner";
/** Stops the test run when all the tests complete */
export declare class StopTestRunnerWhenTestsComplete implements IvrTesterPlugin {
    private testRunner;
    private totalRunning;
    private totalSuccessful;
    private totalFailed;
    initialise(_: Emitter<PluginEvents>, testRunner: TestRunner): void;
    testStarted(testSession: TestSession): void;
    private testSuccessful;
    private testFailed;
    private testCompleted;
}
